Name:           ocaml-ppx-tools-versioned
Version:        5.2.2
Release:        3%{?dist}
Summary:        Tools for authors of ppx rewriters

License:        MIT
URL:            https://github.com/ocaml-ppx/ppx_tools_versioned
Source0:        https://github.com/ocaml-ppx/ppx_tools_versioned/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  ocaml
BuildRequires:  ocaml-findlib
BuildRequires:  ocaml-result-devel
BuildRequires:  ocaml-migrate-parsetree-devel
BuildRequires:  ocaml-ppx-derivers-devel
BuildRequires:  ocaml-dune
BuildRequires:  opam-installer

%description
A variant of ppx_tools based on ocaml-migrate-parsetree.


%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}


%description    devel
The %{name}-devel package contains libraries and signature
files for developing applications that use %{name}.


%prep
%setup -q -n ppx_tools_versioned-%{version}


%build
dune build @install --profile=release


%install
dune install --destdir="%{buildroot}" --verbose

# These files will be installed using doc and license directives.
rm -r %{buildroot}%{_prefix}/doc/ppx_tools_versioned/{LICENSE,README.md}

# Makes *.cmxs and ppx_metaquot_* executable such that they will be stripped.
find $OCAMLFIND_DESTDIR -name '*.cmxs' -exec chmod 0755 {} \;
find $OCAMLFIND_DESTDIR -regextype sed -regex '.*/ppx_metaquot_[0-9]*' -exec chmod 0755 {} \;

%files
%doc README.md
%license LICENSE
%{_libdir}/ocaml/*
%ifarch %{ocaml_native_compiler}
%exclude %{_libdir}/ocaml/*/*.a
%exclude %{_libdir}/ocaml/*/*.cmxa
%exclude %{_libdir}/ocaml/*/*.cmx
%endif


%files devel
%doc README.md
%license LICENSE
%ifarch %{ocaml_native_compiler}
%{_libdir}/ocaml/*/*.a
%{_libdir}/ocaml/*/*.cmxa
%{_libdir}/ocaml/*/*.cmx
%endif


%changelog
* Thu Aug 01 2019 Richard W.M. Jones <rjones@redhat.com> - 5.2.2-3
- OCaml 4.08.1 (rc2) rebuild.

* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 5.2.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Thu Jun 27 2019 Andy Li <andy@onthewings.net> - 5.2.2-1
- New upstream release.
- Update BuildRequires and build commands for dune.

* Wed Feb 06 2019 Richard W.M. Jones <rjones@redhat.com> - 5.2-3
- Bump release and rebuild against latest ocaml-migrate-parsetree.

* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> - 5.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Wed Aug 01 2018 Andy Li <andy@onthewings.net> - 5.2-1
- New upstream release.

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 5.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri Apr 06 2018 Andy Li <andy@onthewings.net> - 5.1-1
- New upstream release.

* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 5.0.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Mon Jan 08 2018 Andy Li <andy@onthewings.net> - 5.0.1-1
- Initial RPM release.
